package com.jojubanking.boot.module.system.convert.carousel;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.carousel.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.carousel.CarouselDO;

/**
 * 轮播图 Convert
 *
 * @author admin
 */
@Mapper
public interface CarouselConvert {

    CarouselConvert INSTANCE = Mappers.getMapper(CarouselConvert.class);

    CarouselDO convert(CarouselCreateReqVO bean);

    CarouselDO convert(CarouselUpdateReqVO bean);

    CarouselRespVO convert(CarouselDO bean);

    List<CarouselRespVO> convertList(List<CarouselDO> list);

    PageResult<CarouselRespVO> convertPage(PageResult<CarouselDO> page);

    List<CarouselExcelVO> convertList02(List<CarouselDO> list);

}
